Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_SupplierAdmin Class Reference

Implement the RtecEventChannelAdmin::SupplierAdmin interface. More...

`#include <EC_SupplierAdmin.h>`

Inheritance diagram for TAO_EC_SupplierAdmin:

[legend]
Collaboration diagram for TAO_EC_SupplierAdmin:

[legend]
List of all members.

## Public Methods
| TAO_EC_SupplierAdmin (TAO_EC_Event_Channel_Base *event_channel)
| constructor...
virtual | ~TAO_EC_SupplierAdmin (void)
| destructor...

## Detailed Description

Implement the RtecEventChannelAdmin::SupplierAdmin interface.

## Memory Management

It does not assume ownership of the TAO_EC_Event_Channel_Base object

## Constructor & Destructor Documentation

TAO_EC_SupplierAdmin::TAO_EC_SupplierAdmin | ( | TAO_EC_Event_Channel_Base * | event_channel | ) |

| constructor...

TAO_EC_SupplierAdmin::~TAO_EC_SupplierAdmin | ( | void |  | ) | `[virtual]`

| destructor...

The documentation for this class was generated from the following files:

- EC_SupplierAdmin.h
- EC_SupplierAdmin.cpp